# fn:namespace-uri-for-prefix

fn:namespace-uri-for-prefix( element $element, string $prefix) → string?

Function signature

$prefix | xs:string
$element | element()
Result | string ?

Returns the namespace URI corresponding to a given prefix, using the namespaces that are in scope for a given element

XPath 2.0 Specification

Implemented. Changed in 7.9 so the prefix is now the first argument, the element node the second.

Note:The old name get-namespace-uri-for-prefix is retained as a synonym

Expand | Up Next